Name:    libkdcraw
Summary: A C++ interface around LibRaw library 
Version: 4.7.2
Release: 1%{?dist}

# libkdcraw is GPLv2+,
# LibRaw(bundled) is LGPLv2
# demosaic-pack GPLv2+ GPLv3+ (addons to libraw)
License: GPLv2+ and LGPLv2 and GPLv3+
URL:     https://projects.kde.org/projects/kde/kdegraphics/libs/libkdcraw
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: lcms-devel
BuildRequires: libjpeg-devel

Requires: kdelibs4%{?_isa} >= %{_kde4_version}

# when split occurred
Conflicts: kdegraphics-libs < 7:4.6.95-10

# upstream plans to unbundle when libraw-1.0 is released
# see also http://mail.kde.org/pipermail/digikam-devel/2010-March/041682.html
Provides: bundled(LibRaw)
# deomosaic-pack addons to libraw
Provides: bundled(LibRaw-demosaic-pack-GPL2)
Provides: bundled(LibRaw-demosaic-pack-GPL3)

%description
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%package devel
Summary:  Development files for %{name} 
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel 
%description devel
%{summary}.


%prep
%setup -q

# copy/rename a few things for easier inclusion as %%doc
cp -a libraw/README README.libraw
cp -a libraw/COPYRIGHT COPYRIGHT.libraw


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
pkg-config --modversion libkdcraw
make -C %{_target_platform}/test


%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :


%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi


%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc COPYRIGHT.libraw README.libraw libraw/README.demosaic-packs libraw/LICENSE.LGPL
%{_kde4_libdir}/libkdcraw.so.20*
%{_kde4_appsdir}/libkdcraw/
%{_kde4_iconsdir}/hicolor/*/*/*

%files devel
%{_kde4_libdir}/libkdcraw.so
%{_kde4_libdir}/pkgconfig/libkdcraw.pc
%{_kde4_includedir}/libkdcraw/


%changelog
* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Wed Sep 07 2011 Than Ngo <than@redhat.com> - 4.7.1-1
- 4.7.1

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.0-1
- 4.7.0

* Mon Jul 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-1
- 4.6.95

* Mon Jul 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-5
- License: GPLv2+ and LGPLv2 and GPLv3+
- Provides: bundled(LibRaw)

* Sun Jul 10 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-4
- fix URL
- fix scriptlets

* Sun Jul 10 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-3
- License: GPLv2+
- %%doc: +ChangeLog NEWS
- add %%check section

* Wed Jul 06 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-2
- fix Source0 URL
- Conflicts: kdegraphics < 7:4.6.90-10

* Tue Jul 05 2011 Rex Dieter <rdieter@fedoraproject.org>  4.6.90-1
- first try


